org.jacoco.core.data

## Class SessionInfo

- java.lang.Object
- - org.jacoco.core.data.SessionInfo

All Implemented Interfaces:
  Comparable<SessionInfo>

    public class SessionInfo
    extends Object
    implements Comparable<SessionInfo>

Data object describing a session which was the source of execution data. `SessionInfo` instances can be sorted by dump date through the `Comparable` interface.

### Constructor Summary

Constructors
Constructor and Description
`SessionInfo(String id, long start, long dump)` Create a immutable session info with the given data.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo(SessionInfo other)`
`long` `getDumpTimeStamp()`
`String` `getId()`
`long` `getStartTimeStamp()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SessionInfo

    public SessionInfo(String id,
                       long start,
                       long dump)

Create a immutable session info with the given data.

Parameters:
  `id` - arbitrary session identifier, must not be `null`
  `start` - the epoc based time stamp when execution data recording has been started
  `dump` - the epoc based time stamp when execution data was collected

### Method Detail

#### getId

    public String getId()

Returns:
  identifier for this session

#### getStartTimeStamp

    public long getStartTimeStamp()

Returns:
  the epoc based time stamp when execution data recording has been started

#### getDumpTimeStamp

    public long getDumpTimeStamp()

Returns:
  the epoc based time stamp when execution data was collected

#### compareTo

    public int compareTo(SessionInfo other)

Specified by:
  `compareTo` in interface `Comparable<SessionInfo>`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`